Skip to content

Searches for sections using predefined parameters

Request

Searches for sections using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The section that you would like to be saved.

idArray of strings(ID)

IDs to search

is_activeArray of booleans(Is Active)
namestring(Name)
type_idArray of strings(Type)

Types to search

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/sections/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": [
      "string"
    ],
    "is_active": [
      true
    ],
    "name": "string",
    "type_id": [
      "string"
    ]
  }'

Responses

The section search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(SectionSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }